%global srcname pyspf

Name:           python-%{srcname}
Version:        2.0.14
Release:        10%{?dist}
Summary:        Python module and programs for SPF (Sender Policy Framework)

Group:          Development/Languages
License:        Python
URL:            http://pypi.python.org/pypi/pyspf
# Also see http://bmsi.com/python/milter.html
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         pyspf-2.0.14-ipaddr.patch
Patch1:         pyspf-2.0.14-dns-query.patch
Patch3:         pyspf-2.0.14-newlines.patch
Patch4:         pyspf-2.0.14-python2.patch

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-devel
# For tests
# BuildRequires:  python-yaml
# Not yet packaged
# BuildRequires:  python-authres

Requires:       python-pydns
Requires:       python-ipaddr
Requires:       python-dns

%description
SPF does email sender validation.  For more information about SPF,
please see http://spf.pobox.com.

This SPF client is intended to be installed on the border MTA, checking
if incoming SMTP clients are permitted to forward mail.  The SPF check
should be done during the MAIL FROM:<...> command.

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
# For tests
# BuildRequires:  python2-yaml
# Not yet packaged
# BuildRequires:  python-authres

Requires:       python3-py3dns
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
SPF does email sender validation.  For more information about SPF,
please see http://spf.pobox.com.

This SPF client is intended to be installed on the border MTA, checking
if incoming SMTP clients are permitted to forward mail.  The SPF check
should be done during the MAIL FROM:<...> command.

This package provides Python 3 build of %{srcname}.

%prep
%setup -qn %{srcname}-%{version}
%patch3 -p1 -b .newlines


%build
%py3_build

# Patch just python2 stuff
patch -p1 -b -z .ipaddr < %{PATCH0}
patch -p1 -b -z .dns-query < %{PATCH1}
patch -p1 -b -z .python2 < %{PATCH4}
%{__python} setup.py build


%check
# Tests require unpackaged python-authres


%install
# Install python3 stuff first, remove its binaries (keep libs)
%py3_install
rm -f %{buildroot}%{_bindir}/*
# Remove shebang from python libraries
sed -i -e '/^#!\//, 1d' %{buildroot}%{python3_sitelib}/*.py

rm -rf %{buildroot}%
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/type99.py %{buildroot}%{_bindir}/type99
mv %{buildroot}%{_bindir}/spfquery.py %{buildroot}%{_bindir}/spfquery
rm -f %{buildroot}%{_bindir}/*.py{o,c}

%files
%defattr(-,root,root,-)
%doc CHANGELOG PKG-INFO README.md
%{_bindir}/type99
%{_bindir}/spfquery
%{python_sitelib}/spf.py*
%{python_sitelib}/pyspf-%{version}-py*.egg-info

%files -n python3-%{srcname}
%{python3_sitelib}/__pycache__
%{python3_sitelib}/spf.py*
%{python3_sitelib}/pyspf-%{version}-py*.egg-info

%changelog
* Sun Feb 23 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-10
- add python-dns dependency with python 2

* Fri Feb 21 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-9
- add back patch for some python 2 specific problems

* Fri Feb 21 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-7
- relax and replace LF with space (bug #1573072, pb at bieringer dot de)

* Tue Feb 18 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-6
- add patch to remove lifetime argument to dns.resolver.query()

* Mon Feb 17 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-5
- build default (python2) last

* Mon Feb 17 2020 Bojan Smojver <bojan@rexursive.com> - 2.0.14-4
- update to 2.0.14
- build python3 version, while trying to keep the rest as is

* Wed Nov  1 2017 Bojan Smojver <bojan@rexursive.com> - 2.0.11-5
- never load ipaddress

* Tue Oct 31 2017 Bojan Smojver <bojan@rexursive.com> - 2.0.11-4
- revert, rebuild

* Thu Jan 08 2015 Adam Williamson <awilliam@redhat.com> - 2.0.11-1
- new release 2.0.11

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Adam Williamson <awilliam@redhat.com> - 2.0.8-1
- update to latest upstream, modernize spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0.5-2
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.5-1
- update to 2.0.5
- fix license tag

* Sat Jun 09 2007 Sean Reifschneider <jafo@tummy.com> 2.0.3-1
- Upgrading to 2.0.3 release.

* Thu Dec 21 2006 Kevin Fenzi <kevin@tummy.com> 1.7-6
- Rebuild for python 2.5

* Thu Aug 31 2006 Sean Reifschneider <jafo@tummy.com> 1.7-5
- Changing SPEC file where it strips out the shebang line.

* Thu Aug 31 2006 Sean Reifschneider <jafo@tummy.com> 1.7-4
- Adding -2 .spec file changelog entry.

* Wed Aug 30 2006 Sean Reifschneider <jafo@tummy.com> 1.7-3
- Changes based on review from Kevin Fenzi.

* Wed Aug 30 2006 Sean Reifschneider <jafo@tummy.com> 1.7-3
- Changes based on review from Kevin Fenzi.

* Tue Aug 29 2006 Sean Reifschneider <jafo@tummy.com> 1.7-1
- Initial RPM spec file.
